{$O-}
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, PaxProgram, PaxCompiler, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    PaxCompiler1: TPaxCompiler;
    PaxPascalLanguage1: TPaxPascalLanguage;
    PaxProgram1: TPaxProgram;
    procedure Button1Click(Sender: TObject);
    procedure PaxCompiler1UnknownDirective(Sender: TPaxCompiler;
      const Directive: string; var ok: Boolean);
    procedure PaxProgram1CreateObject(Sender: TPaxProgram; Instance: TObject);
  private
    CurrModule: String;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  IMPORT_Common;

procedure TForm1.Button1Click(Sender: TObject);
begin
  PaxCompiler1.Reset;
  PaxCompiler1.RegisterLanguage(PaxPascalLanguage1);
  PaxCompiler1.AddModule('1', 'Pascal');
  PaxCompiler1.AddCodeFromFile('1', 'script.txt');
  if PaxCompiler1.Compile(PaxProgram1) then
  begin
    PaxProgram1.Run;
  end
  else
    ShowMessage(PaxCompiler1.ErrorMessage[0]);
end;

procedure TForm1.PaxCompiler1UnknownDirective(Sender: TPaxCompiler;
  const Directive: string; var ok: Boolean);
begin
  ok := true;
  CurrModule := Sender.CurrModuleName;
end;

procedure TForm1.PaxProgram1CreateObject(Sender: TPaxProgram;
  Instance: TObject);
begin
  if Instance is TForm then
    Sender.LoadDFMFile(Instance, CurrModule + '.dfm');
end;

end.
